package com.bocloud.nms.model.hillstone;

import java.util.Objects;

public class ApplicationStaticFeatureRuleRowModel extends HillStoneGenericModel {
    private Long staticFeatureRuleId; // 关联的静态特征规则id
    private Integer protocol; // 6->TCP；17->UDP；1->ICMP dplow/high都是类型，splow/sphigh都是最小码 ；自定义->其他 1-255
    private Integer dpLow; // 目的端口最小
    private Integer dpHigh; // 目的端口最大
    private Integer spLow; // 源端口最小
    private Integer spHigh; // 源端口最大

    public Long getStaticFeatureRuleId() {
        return staticFeatureRuleId;
    }

    public void setStaticFeatureRuleId(Long staticFeatureRuleId) {
        this.staticFeatureRuleId = staticFeatureRuleId;
    }

    public Integer getProtocol() {
        return protocol;
    }

    public void setProtocol(Integer protocol) {
        this.protocol = protocol;
    }

    public Integer getDpLow() {
        return dpLow;
    }

    public void setDpLow(Integer dpLow) {
        this.dpLow = dpLow;
    }

    public Integer getDpHigh() {
        return dpHigh;
    }

    public void setDpHigh(Integer dpHigh) {
        this.dpHigh = dpHigh;
    }

    public Integer getSpLow() {
        return spLow;
    }

    public void setSpLow(Integer spLow) {
        this.spLow = spLow;
    }

    public Integer getSpHigh() {
        return spHigh;
    }

    public void setSpHigh(Integer spHigh) {
        this.spHigh = spHigh;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        ApplicationStaticFeatureRuleRowModel that = (ApplicationStaticFeatureRuleRowModel) o;
        return Objects.equals(staticFeatureRuleId, that.staticFeatureRuleId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(staticFeatureRuleId);
    }
}
